<template>
    <div
        v-if="model"
        class="w-full"
    >
        <div
            v-if="model.operation === 'CREATED'"
        >
            <custom-card
                :title="$t('created_data')"
                class="mb-4"
            >
                <pre><code class="language-html">{{ model.created_data }}</code></pre>
            </custom-card>
        </div>
        <div
            v-else-if="model.operation === 'EDITED'"
        >
            <custom-card
                :title="$t('old_data')"
                class="mb-4"
            >
                <pre><code class="language-html text-xs">{{ model.old_data }}</code></pre>
            </custom-card>
            <custom-card
                :title="$t('edited_data')"
            >
                <pre><code class="language-html text-xs">{{ model.edited_data }}</code></pre>
            </custom-card>
        </div>
        <div
            v-else-if="model.operation === 'DELETED'"
        >
            <custom-card
                :title="$t('deleted_data')"
                class="mb-4"
            >
                <pre><code class="language-html text-xs">{{ model.old_data }}</code></pre>
            </custom-card>
        </div>
    </div>
</template>
<script setup>
import CustomCard from "~/components/custom-card.vue";

const props = defineProps({
    model: {
        required: false,
        type: Object,
        default: null,
    }
});

const emit = defineEmits(['close']);
</script>
